name: data-compose

services:
  postgres:
    image: ${CONTAINER_REGISTRY}/data/data-repos/postgres:${IMAGE_VERSION}
    build:
      context: ../data-repos
      dockerfile: Dockerfile-postgres
      platforms:
        - "linux/amd64"
  redis:
    image: ${CONTAINER_REGISTRY}/data/data-repos/redis:${IMAGE_VERSION}
    build:
      context: ../data-repos
      dockerfile: Dockerfile-redis
      platforms:
        - "linux/amd64"
  airflow:
    image: ${CONTAINER_REGISTRY}/data/workflow:${IMAGE_VERSION}
    build:
      context: ../workflow
      dockerfile: Dockerfile
      platforms:
        - "linux/amd64"
  nlp:
    image: ${CONTAINER_REGISTRY}/data/nlp-service:${IMAGE_VERSION}
    build:
      context: ../nlp-service
      dockerfile: Dockerfile
      platforms:
        - "linux/amd64"

  harvest-cellar:
    image: ${CONTAINER_REGISTRY}/data/harvest/harvest-cellar:${IMAGE_VERSION}
    build: 
      context: ../harvest/harvest-cellar
      platforms:
        - "linux/amd64"
  
  ingest:
    image: ${CONTAINER_REGISTRY}/data/ingest-service:${IMAGE_VERSION}
    build: 
      context: ../ingest-service
      platforms:
        - "linux/amd64"